pfSense - Bug #8497

route errors (""route has not been found") on current 2.4.4 snapshots
05/04/2018 08:45 AM - Jim Pingle

Status: Resolved Start date: 05/04/2018

Priority: High Due date:

Assignee: Jim Pingle % Done: 100%

Category: Routing Estimated time: 0.00 hour

Target version: 244

Affected Version: 244 Affected All
Architecture:

Description
During boot, the console logs numerous identical errors:

route: route has not been found

They happen, at a minimum, when configuring:

OpenVPN
Firewall

Gateway Monitors
Static Routes

It looks like most of these places call route_add_or_change(), openvpn might be from openvpn_clear_route(). The routes appear
correct, but the errors were not output to the console before.

Associated revisions

Revision fecb8603 - 05/10/2018 09:14 AM - Jim Pingle

Suppress route command errors and related debug output. Fixes #8497

History

#1 - 05/05/2018 03:57 PM - James Snell

FYI - | do have routing issues along with this error following a reboot (initial reboot from install was ok).
Routes were present to local sources, the default gateway, and ISP DHCP supplied nameservers - but not the rest of the internet.

In the Ul (System -> Routing) the IPv6 route was missing (though IPv4 wasn't routing either but was present) resetting that seemed to solve the
problem so far.

I'm planning on a reboot around 10am BST and will update if the problem recurs.

#2 - 05/06/2018 11:26 AM - James Snell

Two reboots since 10am, routes ok.

#3 - 05/10/2018 09:12 AM - Jim Pingle

- Assignee set to Jim Pingle

#4 - 05/10/2018 09:20 AM - Jim Pingle

- Status changed from New to Feedback
- % Done changed from 0 to 100

Applied in changeset fecb8603984d96f6d73e469c55573f7e0b45e55c¢.

#5 - 06/20/2018 08:36 AM - Jim Pingle

- Status changed from Feedback to Resolved

These errors haven't shown up since this commit.
